$colors: (
  'brand': #4c8c2b,
  'error': #be0d0d,
  'success': #4f8a10,
  'black': #414141,
  'tag': rgba(18, 43, 7, 0.8),
  'grey': #f6f6f6,
  'white': #ffffff
);

@function color($color-name) {
  @return map-get($colors, $color-name);
}

@each $colorNameKey, $colorHex in $colors {
  .color-#{$colorNameKey} {
    color: $colorHex !important;
  }
  .color-h-#{$colorNameKey}:hover,
  .color-h-#{$colorNameKey}:focus {
    color: $colorHex !important;
    text-decoration: none;
    @include transition($transition-base);
  }

  .bg-#{$colorNameKey} {
    background-color: $colorHex !important;
  }
  .border-#{$colorNameKey} {
    border: 1px solid $colorHex !important;
  }

  .bg-h-#{$colorNameKey}:hover,
  .bg-h-#{$colorNameKey}:focus {
    @include transition($transition-base);
    background-color: $colorHex !important;
  }
}
